本文为原作希望转载标明出处和作者!

这前在网站上Eclipse开发JQuery环境设置(Spket) 文章提到过JQuery提示插件,但是经过多次的试验不尽人意,主要是其提示效果不理想,而且配置成功的概率非常的小。经过同事的推荐使用aptana插件还不错其代码提示功能非常的强大,而且aptana有自己独立的IDE。详细见:http://www.aptana.org/ 本文介绍在Eclipse下安装该插件,目的主要是解决jquery在eclipse下的代码提示。

注意选择eclipse 3.5,而且现在只能选择3.5,选择高版本的3.6会出现bug,以致插件管理器不能使用,当然也就用不了jquery插件了。。。

=================================================

【2010-11-10更新】最近发现它支持3.6,不过是BETA版,还是不错了:

插件更新地址:http://download.aptana.com/studio3/plugin/install

Read More →

 

本文主要是针对Spket做介绍,但是关于jquery代码提示功能,我将在《eclipse强大的代码【javascript|html|css|jquery|…】提示插件 —— aptana》的文章介绍更好用的工具:

关键字: jquery的代码提示功能 spket安装与配置

  现在很多朋友用jQuery来编写javascript啦,要是有jQuery的代码提示功能就更好了,其实有很多这样的插件,这里就说说Spket吧!       

  以下内容转自http://www.cnblogs.com/meetrice/archive/2008/06/16/1223146.htmlhttp://blog.sina.com.cn/s/blog_4b81125f0100bhxy.html

1. Spket的安装(三种方式):

    (1)Plugin:

        最低要求: eclipse平台运行时3.2.x ,

        文件为: spket-1.6.16.zip别的插件的安装无异,相信不用我多说了吧

    (2)Spket IDE:

        最低要求:你需要java 1.5或更高版本运行安装程序,可独立使用(不用装Eclipse

        文件为: spket-1.6.16.jar

        安装步骤:

            1、打开cmd,

            2、在spket-1.6.16.jar文件目录下输入java -jar spket-1.6.16.jar

            3、回车(相信你已看到安装画面

    (3)Update Site

             这是更新网站,为spket的ide 。

             使用它,打开eclipse的updatemanager (在eclipse下的帮助菜单) ,并新增一个书签为:

             http://www.spket.com/update

2. Elipse开发jQuery环境设置(Spket):

Read More →